Subject: bug#32026: [PATCH v4 3/9] gnu: Define %icecat-base-version at the top level.

From: Maxim Cournoyer <[email-masked]>
Date: Sun, 19 Feb 2023 17:14:29 -0500

Hi Mark,

Mark H Weaver <[email-masked]> writes:

> Hi Maxim,
>
> Maxim Cournoyer <[email-masked]> writes:
>> * gnu/packages/gnuzilla.scm (%icecat-base-version): New variable.
>> (%icecat-version): Define in terms of %icecat-base-version.
>> (icecat-source): Adjust to use the above newly introduced variables.
>
> What's the rationale for this?  I couldn't find any uses of
> '%icecat-base-version' in your patch set outside of 'icecat-source'.
> I don't have a strong objection, but it seems unjustified.
>
>       Thanks,
>         Mark

Not much anymore, but I just thought it was cleaner than having to do
(base-version (first (string-split %icecat-version #\-))) later on to
retrieve this information.

-- 
Thanks,
Maxim